<template>
  <div class="relative">
      <button @click="menuAbrir = !menuAbrir" class="relative z-10 block h-8 w-8 rounded-full overflow-hidden border-2 border-gray-600 focus:outline-none focus:border-white">
          <img class="w-full h-full object-cover" src="https://images.unsplash.com/photo-1438761681033-6461ffad8d80?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80" alt="cuca">
      </button>
      <button tabindex="-1" v-if="menuAbrir" @click="menuAbrir = false" class="z-20 fixed inset-0 h-full w-full bg-black opacity-50 cursor-default "></button>
      <div v-if="menuAbrir" class="z-20 absolute right-0 mt-1 py-2 w-52 bg-white rounded-lg shadow-xl">
          <!-- <a href="#" class="block px-4 py-2 text-gray-800 hover:bg-indigo-500 hover:text-white">Cuenta</a>
          <a href="#" class="block px-4 py-2 text-gray-800 hover:bg-indigo-500 hover:text-white">Soporte</a>
          <a href="#" class="block px-4 py-2 text-gray-800 hover:bg-indigo-500 hover:text-white">Salir</a> -->
          <form @submit.prevent="handleboton">
            <input type="text" placeholder="Usuario" v-model="form.username" required autofocus
            class="ml-2 mr-3 pl-2 mt-1 focus:ring-orance-500 focus:border-orange-500 block shadow-sm sm:text-sm border border-gray-400 rounded-md focus:outline-none">
            <input type="password" placeholder="Clave" v-model="form.password" required autofocus
            class="ml-2 mr-3 pl-2 mt-2 focus:ring-indigo-500 focus:border-orange-500 shadow-sm sm:text-sm border border-gray-400 rounded-md focus:outline-none">
            <button class="ml-2 mt-2 bg-orange-500 py-1 px-2 border border-orange-500 rounded-md shadow-sm text-sm leading-4 font-medium text-white hover:bg-orange-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-yellow-500">
                Entrar
            </button>
          </form>
      </div>
  </div>
</template>

<script>
export default {
    data() {
        return {
            menuAbrir: false,
            form: this.$inertia.form({
                username: '',
                password: '',
            }),
        }
    },
    created() {
        const handleEscape = (e) => {
            if(e.key === 'Esc' || e.key === 'Escape'){
                this.menuAbrir = false
            }
        }

        document.addEventListener('keydown', handleEscape)

        this.$once('hook:beforeDestroy', () => {
            document.removeEventListener('keydown', handleEscape)
        })
    },
    methods: {
        handleboton(){
            this.form
                .post(this.route('login'));
            console.log('dropdown');
        }
    }
}
</script>

<style>

</style>